Get AI predictions for a finished event (v1)
Returns pre-match AI predictions for a finished football or tennis event: win chances, predicted score, corners, cards and a summary. None returns data: null.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
id*integer
Event id: the id of any event in a list, such as Get Sports Live Events.
Range
1 <= value <= 10000000000language?string
Two-letter language code, such as en.
Match
^[a-z]{2}$Default
"en"curl -X GET "https://example.com/v1/sofascore/event/insights?id=16363652" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "property1": null, "property2": null }, "details": { "reason": "string", "message": "string" }}